Package Gnumed :: Package business :: Module gmStaff |
[frames] | no frames]

# Module gmStaff

source code

GNUmed staff objects.

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Classes
| cStaff
| gmCurrentProvider Staff member Borg to hold currently logged on provider.

Functions
get_staff_list(active_only=False) | source code
create_staff(conn=None, db_account=None, password=None, identity=None, short_alias=None) | source code
delete_staff(conn=None, pk_staff=None) | source code
activate_staff(conn=None, pk_staff=None) | source code
deactivate_staff(conn=None, pk_staff=None) | source code
set_current_provider_to_logged_on_user() | source code

Variables
| __package__ = ``'``Gnumed.business``'``

Imports: sys, logging, gmBusinessDBObject, gmPG2, gmNull, gmBorg, gmLog2